#! /bin/bash
# Generated by ndiswrapper.SlackBuild for ndiswrapper-1.43_2.4.33.3-i486-1McD on 05-May-2007
# By Martijn Dekker <martijn@inlv.org>

function upd_conf {
 	# If there's no config file by that name, mv it over:
 	if ! test -e $1; then
 		mv $1.new $1
 	elif diff --brief $1 $1.new; then	# toss the redundant copy
 		rm $1.new
 	fi
 	# Otherwise, we leave the .new copy for the admin to consider...
}

# update dependencies in kernel modules directory:
if test -x sbin/depmod; then
 	echo -n "Updating module dependencies for Linux 2.4.33.3: " 1>&2
 	sbin/depmod -a 2.4.33.3 -b $(pwd) && echo "OK." 1>&2
else
 	echo "WARNING: \`depmod' not found. Cannot update kernel module dependencies." 1>&2
fi

# if we're not in the wrong kernel, unload the old ndiswrapper module:
KVER=$(uname --kernel-release)
if test "$KVER" != "2.4.33.3"; then
 	echo "WARNING: The kernel module in this package was compiled for Linux 2.4.33.3," 1>&2
 	echo "         but at the moment you are using Linux $KVER." 1>&2
elif lsmod | grep --quiet '^ndiswrapper '; then
 	echo -n "Unloading the old ndiswrapper module: " 1>&2
 	modprobe --remove ndiswrapper && echo "OK." 1>&2
fi

# update config files:
{
 	upd_conf etc/rc.d/rc.netdevice
} | sed 's/^/[1mConfig alert: [0m/'

cat <<-END_OF_MESSAGE
[1;31mHow to set up ndiswrapper:
  >[0m  Install your NDIS driver:  [0;32m#[0;1m ndiswrapper -i [0;33myourdriver[0;1m.inf
  [31m>[0m  Check that it worked:      [0;32m#[0;1m ndiswrapper -l
  [31m>[0m  Make sure that [4m/etc/rc.d/rc.netdevice[0m loads the [4mndiswrapper[0m module.
  [1;31m>[0m  Edit [4m/etc/rc.d/rc.inet1.conf[0m and [4m/etc/rc.d/rc.wireless.conf[0m.
[1;31mOnce you're done, either reboot or do:
  [0;32m#[0;1m  modprobe ndiswrapper
  [0;32m#[0;1m  /etc/rc.d/rc.inet1 wlan0_restart[0m
END_OF_MESSAGE
